<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ByteField (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ByteField (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ByteField.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/util/BoundedInputStream.html" title="class in org.apache.poi.util"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/util/CloseIgnoringInputStream.html"
               title="class in org.apache.poi.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/util/ByteField.html" target="_top">Frames</a></li>
        <li><a href="ByteField.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.util</div>
    <h2 title="Class ByteField" class="title">Class ByteField</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.util.ByteField</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../org/apache/poi/util/FixedField.html"
                           title="interface in org.apache.poi.util">FixedField</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">ByteField</span>
extends java.lang.Object
implements <a href="../../../../org/apache/poi/util/FixedField.html"
              title="interface in org.apache.poi.util">FixedField</a></pre>
                <div class="block">representation of a byte (8-bit) field at a fixed location within a
                    byte array
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Marc Johnson (mjohnson at apache dot org</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/ByteField.html#ByteField-int-">ByteField</a></span>(int&nbsp;offset)</code>
                                    <div class="block">construct the ByteField with its offset into its containing
                                        byte array and a default value of 0
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/ByteField.html#ByteField-int-byte-">ByteField</a></span>(int&nbsp;offset,
                                    byte&nbsp;value)</code>
                                    <div class="block">construct the ByteField with its offset into its containing
                                        byte array and initialize its value
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/ByteField.html#ByteField-int-byte:A-">ByteField</a></span>(int&nbsp;offset,
                                    byte[]&nbsp;data)</code>
                                    <div class="block">Construct the ByteField with its offset into its containing
                                        byte array and initialize its value from its byte array
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/ByteField.html#ByteField-int-byte-byte:A-">ByteField</a></span>(int&nbsp;offset,
                                    byte&nbsp;value,
                                    byte[]&nbsp;data)</code>
                                    <div class="block">construct the ByteField with its offset into its containing
                                        byte array, initialize its value, and write its value to its
                                        byte array
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/ByteField.html#get--">get</a></span>()</code>
                                    <div class="block">get the ByteField's current value</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/ByteField.html#readFromBytes-byte:A-">readFromBytes</a></span>(byte[]&nbsp;data)</code>
                                    <div class="block">set the value from its offset into an array of bytes</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/ByteField.html#readFromStream-java.io.InputStream-">readFromStream</a></span>(java.io.InputStream&nbsp;stream)</code>
                                    <div class="block">set the value from an InputStream</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/ByteField.html#set-byte-">set</a></span>(byte&nbsp;value)</code>
                                    <div class="block">set the ByteField's current value</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/ByteField.html#set-byte-byte:A-">set</a></span>(byte&nbsp;value,
                                    byte[]&nbsp;data)</code>
                                    <div class="block">set the ByteField's current value and write it to a byte array
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/ByteField.html#toString--">toString</a></span>()</code>
                                    <div class="block">return the value as a String</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/ByteField.html#writeToBytes-byte:A-">writeToBytes</a></span>(byte[]&nbsp;data)</code>
                                    <div class="block">write the value out to an array of bytes at the appropriate
                                        offset
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="ByteField-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ByteField</h4>
                                <pre>public&nbsp;ByteField(int&nbsp;offset)
          throws java.lang.ArrayIndexOutOfBoundsException</pre>
                                <div class="block">construct the ByteField with its offset into its containing
                                    byte array and a default value of 0
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>offset</code> - of the field within its byte array</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.ArrayIndexOutOfBoundsException</code> - if offset is negative
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ByteField-int-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ByteField</h4>
                                <pre>public&nbsp;ByteField(int&nbsp;offset,
                 byte&nbsp;value)
          throws java.lang.ArrayIndexOutOfBoundsException</pre>
                                <div class="block">construct the ByteField with its offset into its containing
                                    byte array and initialize its value
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>offset</code> - of the field within its byte array</dd>
                                    <dd><code>value</code> - the initial value</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.ArrayIndexOutOfBoundsException</code> - if offset is negative
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ByteField-int-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ByteField</h4>
                                <pre>public&nbsp;ByteField(int&nbsp;offset,
                 byte[]&nbsp;data)
          throws java.lang.ArrayIndexOutOfBoundsException</pre>
                                <div class="block">Construct the ByteField with its offset into its containing
                                    byte array and initialize its value from its byte array
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>offset</code> - of the field within its byte array</dd>
                                    <dd><code>data</code> - the byte array to read the value from</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.ArrayIndexOutOfBoundsException</code> - if the offset is not
                                        within the range of 0..(data.length - 1)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ByteField-int-byte-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ByteField</h4>
                                <pre>public&nbsp;ByteField(int&nbsp;offset,
                 byte&nbsp;value,
                 byte[]&nbsp;data)
          throws java.lang.ArrayIndexOutOfBoundsException</pre>
                                <div class="block">construct the ByteField with its offset into its containing
                                    byte array, initialize its value, and write its value to its
                                    byte array
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>offset</code> - of the field within its byte array</dd>
                                    <dd><code>value</code> - the initial value</dd>
                                    <dd><code>data</code> - the byte array to write the value to</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.ArrayIndexOutOfBoundsException</code> - if the offset is not
                                        within the range of 0..(data.length - 1)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="get--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>get</h4>
                                <pre>public&nbsp;byte&nbsp;get()</pre>
                                <div class="block">get the ByteField's current value</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>current value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="set-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>set</h4>
                                <pre>public&nbsp;void&nbsp;set(byte&nbsp;value)</pre>
                                <div class="block">set the ByteField's current value</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - to be set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="set-byte-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>set</h4>
                                <pre>public&nbsp;void&nbsp;set(byte&nbsp;value,
                byte[]&nbsp;data)
         throws java.lang.ArrayIndexOutOfBoundsException</pre>
                                <div class="block">set the ByteField's current value and write it to a byte array</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - to be set</dd>
                                    <dd><code>data</code> - the byte array to write the value to</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.ArrayIndexOutOfBoundsException</code> - if the offset is out
                                        of the byte array's range
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="readFromBytes-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readFromBytes</h4>
                                <pre>public&nbsp;void&nbsp;readFromBytes(byte[]&nbsp;data)
                   throws java.lang.ArrayIndexOutOfBoundsException</pre>
                                <div class="block">set the value from its offset into an array of bytes</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/util/FixedField.html#readFromBytes-byte:A-">readFromBytes</a></code>&nbsp;in
                                        interface&nbsp;<code><a href="../../../../org/apache/poi/util/FixedField.html"
                                                                title="interface in org.apache.poi.util">FixedField</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array from which the value is to be read</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.ArrayIndexOutOfBoundsException</code> - if the offset is out
                                        of range of the bte array
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="readFromStream-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>readFromStream</h4>
                                <pre>public&nbsp;void&nbsp;readFromStream(java.io.InputStream&nbsp;stream)
                    throws java.io.IOException</pre>
                                <div class="block">set the value from an InputStream</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/util/FixedField.html#readFromStream-java.io.InputStream-">readFromStream</a></code>&nbsp;in
                                        interface&nbsp;<code><a href="../../../../org/apache/poi/util/FixedField.html"
                                                                title="interface in org.apache.poi.util">FixedField</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>stream</code> - the InputStream from which the value is to be
                                        read
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/util/LittleEndian.BufferUnderrunException.html"
                                            title="class in org.apache.poi.util">LittleEndian.BufferUnderrunException</a></code>
                                        - if there is not enough data
                                        available from the InputStream
                                    </dd>
                                    <dd><code>java.io.IOException</code> - if an IOException is thrown from reading
                                        the InputStream
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="writeToBytes-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>writeToBytes</h4>
                                <pre>public&nbsp;void&nbsp;writeToBytes(byte[]&nbsp;data)
                  throws java.lang.ArrayIndexOutOfBoundsException</pre>
                                <div class="block">write the value out to an array of bytes at the appropriate
                                    offset
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../org/apache/poi/util/FixedField.html#writeToBytes-byte:A-">writeToBytes</a></code>&nbsp;in
                                        interface&nbsp;<code><a href="../../../../org/apache/poi/util/FixedField.html"
                                                                title="interface in org.apache.poi.util">FixedField</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the array of bytes to which the value is to be
                                        written
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.ArrayIndexOutOfBoundsException</code> - if the offset is out
                                        of the byte array's range
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <div class="block">return the value as a String</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a href="../../../../org/apache/poi/util/FixedField.html#toString--">toString</a></code>&nbsp;in
                                        interface&nbsp;<code><a href="../../../../org/apache/poi/util/FixedField.html"
                                                                title="interface in org.apache.poi.util">FixedField</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the value as a String</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ByteField.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/util/BoundedInputStream.html" title="class in org.apache.poi.util"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/util/CloseIgnoringInputStream.html"
               title="class in org.apache.poi.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/util/ByteField.html" target="_top">Frames</a></li>
        <li><a href="ByteField.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
